Alerta de Segurança Debian

DSA-664-1 cpio -- permissões de arquivo quebradas

Data do Alerta:
02 Fev 2005
Pacotes Afetados:
cpio
Vulnerável:
Sim
Referência à base de dados de segurança:
No dicionário CVE do Mitre: CVE-1999-1572.
Informações adicionais:

Foi descoberto que o cpio, um programa para gerenciar arquivos (coleções) de arquivos, cria arquivos de saída com permissões erradas com -O e -F, devido a uma umask zerada, permitindo a usuários locais ler ou sobrescrever estes arquivos.

Na distribuição estável (woody), este problema foi corrigido na versão 2.4.2-39woody1.

Na distribuição instável (sid), este problema será corrigido em breve.

Nós recomendamos que você atualize seu pacote cpio.

Corrigido em:

Debian GNU/Linux 3.0 (woody)

Fonte:
http://security.debian.org/pool/updates/main/c/cpio/cpio_2.4.2-39woody1.dsc
http://security.debian.org/pool/updates/main/c/cpio/cpio_2.4.2-39woody1.diff.gz
http://security.debian.org/pool/updates/main/c/cpio/cpio_2.4.2.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/c/cpio/cpio_2.4.2-39woody1_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/c/cpio/cpio_2.4.2-39woody1_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/c/cpio/cpio_2.4.2-39woody1_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/c/cpio/cpio_2.4.2-39woody1_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/c/cpio/cpio_2.4.2-39woody1_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/c/cpio/cpio_2.4.2-39woody1_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/c/cpio/cpio_2.4.2-39woody1_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/c/cpio/cpio_2.4.2-39woody1_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/c/cpio/cpio_2.4.2-39woody1_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/c/cpio/cpio_2.4.2-39woody1_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/c/cpio/cpio_2.4.2-39woody1_sparc.deb

Checksums MD5 dos arquivos listados estão disponíveis no alerta original.